#*************************************************************************
#
#   OpenOffice.org - a multi-platform office productivity suite
#
#   $RCSfile: makefile.rc,v $
#
#   $Revision: 1.52 $
#
#   last change: $Author: kz $ $Date: 2006/01/06 11:17:31 $
#
#   The Contents of this file are made available subject to
#   the terms of GNU Lesser General Public License Version 2.1.
#
#
#     GNU Lesser General Public License Version 2.1
#     =============================================
#     Copyright 2005 by Sun Microsystems, Inc.
#     901 San Antonio Road, Palo Alto, CA 94303, USA
#
#     This library is free software; you can redistribute it and/or
#     modify it under the terms of the GNU Lesser General Public
#     License version 2.1, as published by the Free Software Foundation.
#
#     This library is distributed in the hope that it will be useful,
#     but WITHOUT ANY WARRANTY; without even the implied warranty of
#     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#     Lesser General Public License for more details.
#
#     You should have received a copy of the GNU Lesser General Public
#     License along with this library; if not, write to the Free Software
#     Foundation, Inc., 59 Temple Place, Suite 330, Boston,
#     MA  02111-1307  USA
#
#*************************************************************************

TARGET=OpenOffice.org
MAKEFILERC=true

# 
# build targets
# 

build_all : build_instsetoo_native

check_modules .PHONY :
	@+echo Checking module list
	@+perl $(SOLARENV)$/bin$/build.pl --checkmodules

# Only build when all modules available
build_instsetoo_native .SETDIR=instsetoo_native/prj : check_modules
	@+perl $(SOLARENV)$/bin$/build.pl --all $(PROFULLSWITCH)

depend .SETDIR=instsetoo_native/prj : check_modules
	@+perl $(SOLARENV)$/bin$/build.pl --all $(PROFULLSWITCH) depend=t


# 
# bootstrap target
# 

bootstrap .PHONY :
	@bootstrap


distclean .PHONY: clean
	-rm config_office/config.cache
	-rm config_office/config.log
.IF "$(BUILD_DMAKE)"!="NO"
	-$(GNUMAKE) -C dmake distclean
.ENDIF


clean .PHONY:
	-rm -rf */$(INPATH)
	-rm -rf solver/*/$(INPATH)
.IF "$(BUILD_DMAKE)"!="NO"
	-echo cleaning up dmake...
	-$(GNUMAKE) -C dmake clean
.ENDIF

# 
# configure target
# 

configure .PHONY SETDIR=config_office :
	@configure


#*************************************************************************

